org.apache.felix.resolver

## Class Util

- java.lang.Object
- - org.apache.felix.resolver.Util

    public class Util
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Util()`

### Method Summary

All Methods Static Methods Concrete Methods
`static List<org.osgi.resource.Requirement>` `getDynamicRequirements(List<org.osgi.resource.Requirement> reqs)`
`static String` `getSymbolicName(org.osgi.resource.Resource resource)`
`static org.osgi.framework.Version` `getVersion(org.osgi.resource.Resource resource)`
`static boolean` `isDynamic(org.osgi.resource.Requirement req)`
`static boolean` `isFragment(org.osgi.resource.Resource resource)`
`static boolean` `isMultiple(org.osgi.resource.Requirement req)`
`static boolean` `isOptional(org.osgi.resource.Requirement req)`
`static boolean` `isReexport(org.osgi.resource.Requirement req)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Util

    public Util()

### Method Detail

#### getSymbolicName

    public static String getSymbolicName(org.osgi.resource.Resource resource)

#### getVersion

    public static org.osgi.framework.Version getVersion(org.osgi.resource.Resource resource)

#### isFragment

    public static boolean isFragment(org.osgi.resource.Resource resource)

#### isOptional

    public static boolean isOptional(org.osgi.resource.Requirement req)

#### isMultiple

    public static boolean isMultiple(org.osgi.resource.Requirement req)

#### isDynamic

    public static boolean isDynamic(org.osgi.resource.Requirement req)

#### isReexport

    public static boolean isReexport(org.osgi.resource.Requirement req)

#### getDynamicRequirements

    public static List<org.osgi.resource.Requirement> getDynamicRequirements(List<org.osgi.resource.Requirement> reqs)